Perform various operations for Symitar parameters.
Operations
getPartStatementSelectFields
POST
Execute the persistent ParameterService getPartStatementSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/getPartStatementSelectFieldsPOST /nexum/627/persistent/parameter/getPartStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"SelectableFields": {
"IncludeAllPartStatementFields": true,
"PartStatementFields": {
"Format": true,
"InquiryLine": true,
"InstitutionAddressLine": [
0
],
"NumberoftimesGenerated": true,
"StatementCutoffDate": true,
"StatementGroupList": true
}
},
"nxAttributes": {
"customFields": {}
}
}updatePartStatementByID
POST
Execute the persistent ParameterService updatePartStatementByID operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/updatePartStatementByIDPOST /nexum/627/persistent/parameter/updatePartStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"PartStatementFields": {
"Format": 0,
"InquiryLine": "string",
"InstitutionAddressLine": [
{
"EntryId": 0,
"InstitutionAddressLine": "string"
}
],
"NumberoftimesGenerated": 0,
"StatementCutoffDate": "string",
"StatementGroupList": "string"
},
"nxAttributes": {
"customFields": {}
}
}